API ReferenceEnd Users
Prepare the effective system prompt for the calling agent's persona (end-user JWT)
Authorization
EndUserAuth AuthorizationBearer <token>
End-user JWT minted via POST /v1/end-users/tokens, sent as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/end-user/persona/prepare" \ -H "Content-Type: application/json" \ -d '{}'{ "active_persona_version_id": "string", "agent_id": "string", "computed_at": "string", "persona_id": "string", "system_prompt": "string", "ttl_seconds": 0, "user_id": "string"}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}